System requirements

Before you run Setup Commander, you need to meet some configuration requirements for your Microsoft Windows devices.

Configuration Manager

Microsoft Configuration Manager 2012R2 and up are supported.

Deployment Toolkit

Microsoft Deployment Toolkit 2012, 2013 and up are supported.

Ivanti Endpoint Manager

Ivanti Endpoint Manager 2017.3 Service Update 3 and up are supported.

Micro Focus ZENworks Configuration Management

ZENworks 11.4.x and up are supported.

Operating System

Setup Commander is supported on the following Windows x64 operating systems:

  • Microsoft Windows XP Professional SP3
  • Microsoft Windows 7 x86 or x64
  • Microsoft Windows 8 x86 or x64
  • Microsoft Windows 10 x86 or x64
  • Microsoft Windows Server 2008 (R2)
  • Microsoft Windows Server 2012
  • Microsoft Windows Server 2016

You need Administrative privileges to run Liquit Setup Commander.

Microsoft .NET Framework 4 Extended

For Windows XP, Windows 7, Windows 8 and Windows Server 2008 both Microsoft .NET Framework 3.5 (or up) and Microsoft .NET Framework 4 Extended should be installed. If you do not have these installed, you can download it from Microsoft’s Web site as Microsoft .NET Framework 4 (Standalone Installer) and Microsoft .NET Framework 3.5 (Full Package).

For Windows 10 and Windows Server 2012 and 2016, please enable the Windows feature ‘.NET Framework 3.5 (includes .NET 2.0 and 3.0)’. ‘.NET Framework 4.6 Advanced Services’ is enabled by default.

Windows Features

The Liquit Setup Commander setup will verify whether you’ve installed/enabled the fore mentioned .NET Framework.